/*
 * Copyright (c) 1995 Sun Microsystems, Inc.
 * All rights reserved.
 * 
 * Permission is hereby granted, without written agreement and without
 * license or royalty fees, to use, copy, modify, and distribute this
 * software and its documentation for any purpose, provided that the
 * above copyright notice and the following two paragraphs appear in
 * all copies of this software.
 * 
 * IN NO EVENT SHALL SUN MICROSYSTEMS, INC. BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING
 * OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF SUN
 * MICROSYSTEMS, INC. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * SUN MICROSYSTEMS, INC. SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THE SOFTWARE PROVIDED
 * HEREUNDER IS ON AN "AS IS" BASIS, AND SUN MICROSYSTEMS, INC. HAS NO
 * OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
 * MODIFICATIONS.
 */

#ifndef _DOOMARENA_H
#define _DOOMARENA_H

#define BY_NAME 1
#define BY_ADDR 2

#define PW_NAM 1
#define PW_UID 2

#define RLIMIT_GET 1
#define RLIMIT_SET 2

int
SysError(
     Tcl_Interp *interp,
     char *command,
     char *errstr
);
int
GetHostCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int PollCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int PWCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int RLimitCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int SysInfoCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int SysConfCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);

int AudioCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int ServerStartCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int ServerAcceptCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int ServerConnectCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);
int DoomStatsCmd(
     ClientData clientData,
     Tcl_Interp *interp,
     int argc,
     char **argv
);

#endif /* _DOOMARENA_H */
